GDBserver

Classes | Macros | Typedefs | Functions
aarch64-linux.h File Reference
`#include <signal.h>`
`#include "gdb_proc_service.h"`

Go to the source code of this file.

## Classes
struct | compat_timeval
union | compat_sigval
struct | compat_siginfo

## Macros
#define | cpt_si_pid _sifields._kill._pid
#define | cpt_si_uid _sifields._kill._uid
#define | cpt_si_timerid _sifields._timer._tid
#define | cpt_si_overrun _sifields._timer._overrun
#define | cpt_si_status _sifields._sigchld._status
#define | cpt_si_utime _sifields._sigchld._utime
#define | cpt_si_stime _sifields._sigchld._stime
#define | cpt_si_ptr _sifields._rt._sigval.sival_ptr
#define | cpt_si_addr _sifields._sigfault._addr
#define | cpt_si_band _sifields._sigpoll._band
#define | cpt_si_fd _sifields._sigpoll._fd

## Typedefs
typedef int | compat_int_t
typedef unsigned int | compat_uptr_t
typedef int | compat_time_t
typedef int | compat_timer_t
typedef int | compat_clock_t
typedef union compat_sigval | compat_sigval_t
typedef struct compat_siginfo | compat_siginfo_t

## Functions
void | aarch64_siginfo_from_compat_siginfo (siginfo_t *to, compat_siginfo_t *from)
void | aarch64_compat_siginfo_from_siginfo (compat_siginfo_t *to, siginfo_t *from)
void | aarch64_linux_prepare_to_resume (struct lwp_info *lwp)
void | aarch64_linux_new_thread (struct lwp_info *lwp)
void | aarch64_linux_delete_thread (struct arch_lwp_info *arch_lwp)
ps_err_e | aarch64_ps_get_thread_area (struct ps_prochandle *ph, lwpid_t lwpid, int idx, void **base, int is_64bit_p)

## Macro Definition Documentation

## ◆ cpt_si_addr

#define cpt_si_addr _sifields._sigfault._addr

Definition at line 112 of file aarch64-linux.h.

## ◆ cpt_si_band

#define cpt_si_band _sifields._sigpoll._band

Definition at line 113 of file aarch64-linux.h.

## ◆ cpt_si_fd

#define cpt_si_fd _sifields._sigpoll._fd

Definition at line 114 of file aarch64-linux.h.

## ◆ cpt_si_overrun

#define cpt_si_overrun _sifields._timer._overrun

Definition at line 107 of file aarch64-linux.h.

## ◆ cpt_si_pid

#define cpt_si_pid _sifields._kill._pid

Definition at line 104 of file aarch64-linux.h.

## ◆ cpt_si_ptr

#define cpt_si_ptr _sifields._rt._sigval.sival_ptr

Definition at line 111 of file aarch64-linux.h.

## ◆ cpt_si_status

#define cpt_si_status _sifields._sigchld._status

Definition at line 108 of file aarch64-linux.h.

## ◆ cpt_si_stime

#define cpt_si_stime _sifields._sigchld._stime

Definition at line 110 of file aarch64-linux.h.

## ◆ cpt_si_timerid

#define cpt_si_timerid _sifields._timer._tid

Definition at line 106 of file aarch64-linux.h.

## ◆ cpt_si_uid

#define cpt_si_uid _sifields._kill._uid

Definition at line 105 of file aarch64-linux.h.

## ◆ cpt_si_utime

#define cpt_si_utime _sifields._sigchld._utime

Definition at line 109 of file aarch64-linux.h.

## Typedef Documentation

## ◆ compat_clock_t

typedef int compat_clock_t

Definition at line 32 of file aarch64-linux.h.

## ◆ compat_int_t

typedef int compat_int_t

Definition at line 27 of file aarch64-linux.h.

## ◆ compat_siginfo_t

typedef struct compat_siginfo compat_siginfo_t

## ◆ compat_sigval_t

typedef union compat_sigval compat_sigval_t

## ◆ compat_time_t

typedef int compat_time_t

Definition at line 30 of file aarch64-linux.h.

## ◆ compat_timer_t

typedef int compat_timer_t

Definition at line 31 of file aarch64-linux.h.

## ◆ compat_uptr_t

typedef unsigned int compat_uptr_t

Definition at line 28 of file aarch64-linux.h.

## Function Documentation

## ◆ aarch64_compat_siginfo_from_siginfo()

void aarch64_compat_siginfo_from_siginfo | ( | compat_siginfo_t * | to,
|  | siginfo_t * | from
| ) |  |

Definition at line 99 of file aarch64-linux.c.

References memset(), compat_siginfo::si_code, compat_siginfo::si_errno, and compat_siginfo::si_signo.

Referenced by aarch64_linux_siginfo_fixup().

## ◆ aarch64_linux_delete_thread()

void aarch64_linux_delete_thread | ( | struct arch_lwp_info * | arch_lwp | ) |

Definition at line 90 of file aarch64-linux.c.

References xfree().

## ◆ aarch64_linux_new_thread()

void aarch64_linux_new_thread | ( | struct lwp_info * | lwp | ) |

Definition at line 74 of file aarch64-linux.c.

References aarch64_num_bp_regs, aarch64_num_wp_regs, arch_lwp_info::dr_changed_bp, arch_lwp_info::dr_changed_wp, DR_MARK_ALL_CHANGED, lwp_set_arch_private_info(), and XNEW.

## ◆ aarch64_linux_prepare_to_resume()

void aarch64_linux_prepare_to_resume | ( | struct lwp_info * | lwp | ) |

Definition at line 34 of file aarch64-linux.c.

References aarch64_get_debug_reg_state(), aarch64_linux_set_debug_regs(), debug_printf(), arch_lwp_info::dr_changed_bp, arch_lwp_info::dr_changed_wp, DR_CLEAR_CHANGED, DR_HAS_CHANGED, lwp_arch_private_info(), ptid_get_lwp(), ptid_get_pid(), ptid_of_lwp(), and show_debug_regs.

## ◆ aarch64_ps_get_thread_area()

ps_err_e aarch64_ps_get_thread_area | ( | struct ps_prochandle * | ph,
|  | lwpid_t | lwpid,
|  | int | idx,
|  | void ** | base,
|  | int | is_64bit_p
| ) |  |

Definition at line 216 of file aarch64-linux.c.

References PS_ERR, PS_OK, ptrace(), and PTRACE_GETREGSET.

Referenced by ps_get_thread_area().

## ◆ aarch64_siginfo_from_compat_siginfo()

void aarch64_siginfo_from_compat_siginfo | ( | siginfo_t * | to,
|  | compat_siginfo_t * | from
| ) |  |

Definition at line 157 of file aarch64-linux.c.

References memset(), compat_siginfo::si_code, compat_siginfo::si_errno, and compat_siginfo::si_signo.

Referenced by aarch64_linux_siginfo_fixup().